# Smart Time ⏳
**The Most Advanced Multilingual Time Engine for Python**

Smart Time is a robust, multilingual, and high-level Python library for converting, parsing, formatting, and analyzing time durations — built for modern applications, automation systems, and high-performance time manipulation.

> 🚀 Built with love and precision by [Sam Afzali](https://github.com/samafzali11)

---

## 💡 Why Smart Time?

While most time libraries are limited to seconds and ISO strings, **Smart Time** offers a unique and powerful system:

- 🌍 Supports both **English** and **Persian** units (e.g., `3 ساعت و 15 دقیقه`, `2h 5m`)
- 📐 Converts between multiple time units with high precision
- 📊 Parses text durations, explains them, and creates readable formats
- ⏳ Fully supports ISO 8601 durations like `P1DT2H3M4S`
- ⏱ Built-in benchmarking `Timer` class
- 🕒 Business day calculations
- ✅ No external dependencies required (optional support for `pandas` and `pytz`)

---

## 📦 Installation

```bash
pip install smarttime
